<?php
declare (strict_types = 1);

namespace app\model;

use think\Model;
use think\facade\Db;

/**
 * @mixin \think\Model
 */
class OrderGoods extends Model
{
    //
    protected $table = 'order_goods';
    protected $pk = 'id';
    
    public function goods($order_id){
        return Db::table($this->getTable())
            ->alias('og')
            ->join('goods g','og.goods_id = g.id')
            ->where('order_id',$order_id)
            ->select();
    }
}
